#include <gtk/gtk.h>
#include "guiutils.h"
#include "proccon.h"


static gint delete_cb(GtkWidget *w, GdkEvent *event, gpointer d);
static void termination_cb(GtkWidget *w, gint pid, gpointer d);



static gint delete_cb(GtkWidget *w, GdkEvent *event, gpointer d)
{
	gtk_main_quit();
}

static void termination_cb(GtkWidget *w, gint pid, gpointer d)
{
	printf("Normal termination of pid %i.\n", pid);
}

int main(int argc, char *argv[])
{
	GtkWidget *toplevel, *pc, *w;

        gtk_init(&argc, &argv);


	toplevel = w = gtk_window_new(GTK_WINDOW_DIALOG);
	gtk_widget_set_usize(w, 640, 480);
	gtk_signal_connect(
		GTK_OBJECT(w), "delete_event",
		GTK_SIGNAL_FUNC(delete_cb), NULL
	);
	gtk_widget_realize(w);

	pc = w = ProcConNew(
		PROCCON_DISPLAY_STDOUT |
		PROCCON_DISPLAY_STDERR
	);
	gtk_container_add(GTK_CONTAINER(toplevel), w);
	gtk_widget_realize(w);
	gtk_widget_show(w);

	gtk_widget_show(toplevel);

	while(gtk_events_pending() > 0)
		gtk_main_iteration();
	if(argc > 1)
	    ProcConExecuteNotify(pc, argv[1], NULL, termination_cb);

	gtk_main();

	gtk_widget_destroy(pc);
	gtk_widget_destroy(toplevel);

	return(0);
}
